Subject: [PATCH 2/3] ARM: shmobile: kzm9g: add FSI support for DTS

From: [email-masked] (Sergei Shtylyov)
Date: Mon, 23 Dec 2013 18:10:09 +0400

Hello.

On 23-12-2013 17:21, Sergei Shtylyov wrote:

>> From: Kuninori Morimoto <[email-masked]>

>> This patch support FSI-AK4648 with simple audio card

>> Signed-off-by: Kuninori Morimoto <[email-masked]>
>> Signed-off-by: Simon Horman <[email-masked]>
>> ---
>>   arch/arm/boot/dts/sh73a0-kzm9g-reference.dts | 33
>> ++++++++++++++++++++++++++++
>>   1 file changed, 33 insertions(+)

>> diff --git a/arch/arm/boot/dts/sh73a0-kzm9g-reference.dts
>> b/arch/arm/boot/dts/sh73a0-kzm9g-reference.dts
>> index 5bb593d..eb8886b 100644
>> --- a/arch/arm/boot/dts/sh73a0-kzm9g-reference.dts
>> +++ b/arch/arm/boot/dts/sh73a0-kzm9g-reference.dts
> [...]
>> @@ -226,6 +240,12 @@
>>               };
>>           };
>>       };
>> +
>> +    ak4648: ak4648 at 0x12 {

>     Perhaps "sound-codec" or "audio-codec" would be a better name; hardware
> specific names are not recommended by ePAPR. And drop "0x" from the address
> part please.

    Sorry, I didn't notice the patch is posted as a part of pull request; I've 
probably missed the original posting (though I've already told to Morimoto-san 
that names like "ak4648" shouldn't be used).

WBR, Sergei